Package: org.codehaus.groovy.control

## [Java] Class ConfigurationException

- org.codehaus.groovy.control.ConfigurationException

- All Implemented Interfaces and Traits:
    GroovyExceptionInterface

      public class ConfigurationException
      extends RuntimeException

  Thrown when configuration data is invalid.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Exception` | `cause` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConfigurationException (Exception cause)` Initializes the exception from a cause exception.
    `ConfigurationException (String message)` Initializes the exception with just a message.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Throwable` | `getCause()` Returns the causing exception, if available.
    `` | `boolean` | `isFatal()` Its always fatal.
    `` | `void` | `setFatal(boolean fatal)` Set fatal is just ignored.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected Exception cause

  - ### Constructor Detail

    - #### public ConfigurationException(Exception cause)

      Initializes the exception from a cause exception.

    - #### public ConfigurationException(String message)

      Initializes the exception with just a message.

  - ### Method Detail

    - #### public Throwable getCause()

      Returns the causing exception, if available.

    - #### public boolean isFatal()

      Its always fatal.

    - #### public void setFatal(boolean fatal)

      Set fatal is just ignored.